CVE-2017-16026

NameCVE-2017-16026
DescriptionRequest is an http client. If a request is made using ```multipart```, and the body type is a ```number```, then the specified number of non-zero memory is passed in the body. This affects Request >=2.2.6 <2.47.0 || >2.51.0 <=2.67.0.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)
Debian Bugs901708

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
node-request (PTS)jessie, stretch2.26.1-1vulnerable
buster, sid2.88.1-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
node-requestsource(unstable)(unfixed)unimportant901708

Notes

https://github.com/request/request/issues/1904
https://nodesecurity.io/advisories/309
https://github.com/request/request/pull/2018
nodejs not covered by security support

Search for package or bug name: Reporting problems